type: google.api.Service
config_version: 3
name: eventarcpublishing.googleapis.com
title: Eventarc Publishing API

apis:
- name: google.cloud.eventarc.publishing.v1.Publisher

authentication:
  rules:
  - selector: google.cloud.eventarc.publishing.v1.Publisher.PublishChannelConnectionEvents
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: google.cloud.eventarc.publishing.v1.Publisher.PublishEvents
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
